# Index Components

`GET` `/v1/quote/index-constituents`

Get the constituent stocks of an index or ETF with sorting options and rise/fall statistics.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Index or ETF symbol, e.g. `HSI.HK`, `SPY.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/index-constituents?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `total` | integer | No | Total number of matching stocks. |
| `└ symbol` | string | No | Security symbol |
| `└ trade_status` | integer | No | Trading status code |
| `└ last_done` | string | No | Last trade price |
| `└ prev_close` | string | No | Previous close |
| `└ inflow` | string | No | Capital inflow |
| `└ balance` | string | No | Market cap |
| `└ amount` | string | No | Trading volume amount |
| `└ total_shares` | string | No | Total shares |
| `└ circulating_shares` | string | No | Circulating shares |
| `└ tags` | array | No | Tags |
| `└ name` | string | No | Security name |
| `└ market` | string | No | Market |
| `└ intro` | string | No | Brief description |
| `└ delay` | boolean | No | Whether data is delayed |
| `└ chg` | string | No | Price change percentage |
| `rise_num` | integer | No | Number of rising stocks |
| `fall_num` | integer | No | Number of falling stocks |
| `flat_num` | integer | No | Number of flat stocks |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "fall_num": 10,
    "flat_num": 3,
    "rise_num": 7,
    "stocks": [
      {
        "symbol": "9988.HK",
        "name": "BABA-W",
        "market": "HK",
        "last_done": "140.90",
        "prev_close": "132.80",
        "chg": "0.0610",
        "amount": "93828577",
        "inflow": "18483450",
        "balance": "13320299492",
        "circulating_shares": "19192403958",
        "total_shares": "19192403958",
        "trade_status": 105,
        "intro": "China's largest e-commerce platform",
        "delay": false,
        "tags": [
          "Top gainers"
        ]
      }
    ]
  }
}
```
